package com.tuoheng.admin.enums.code.workorder;

/**
 *  生成工单返回码
 *      模块代码：26（工单管理）
 *      接口代码：01 （生成工单）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-07
 */
public enum GenerateWorkorderCodeEnum {

    GENERATE_IS_FAILED(1260100, "生成工单失败"),
    ID_LIST_IS_NULL(1260101, "任务问题id列表为空"),
    INSPECTION_FILE_ID_LIST_IS_NOT_EXIST(1260102, "任务问题不存在"),
    INCLUDE_NO_CONFIRMED_INSPECTION(1260103, "包含非确认状态任务问题"),
    ADMIN_NOT_GENERATE_CHILD_WORKORDER(1260104, "管理员不能生成子部门工单"),
    ORDINARY_USER_NO_PERMISSION_TO_GENERATE(1260105, "普通用户不能生成工单"),
   ;

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    GenerateWorkorderCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
